/* *INDENT-OFF* */ /* THIS FILE IS GENERATED */

/* A register protocol for GDB, the GNU debugger.
   Copyright (C) 2001-2013 Free Software Foundation, Inc.

   This file is part of GDB.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* This file was created with the aid of ``regdat.sh'' and ``../../../gdb/gdbserver/../regformats/i386/i386-avx-linux.dat''.  */

#include "server.h"
#include "regdef.h"
#include "tdesc.h"

const struct target_desc *tdesc_i386_avx_linux;

void
init_registers_i386_avx_linux (void)
{
  static struct target_desc tdesc_i386_avx_linux_s;
  struct target_desc *result = &tdesc_i386_avx_linux_s;
  struct tdesc_feature *feature = tdesc_create_feature (result, "i386_avx_linux");
  tdesc_create_reg (feature, "eax",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "ecx",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "edx",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "ebx",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "esp",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "ebp",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "esi",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "edi",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "eip",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "eflags",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "cs",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "ss",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "ds",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "es",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "fs",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "gs",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "st0",
  0, 0, NULL, 80, NULL);
  tdesc_create_reg (feature, "st1",
  0, 0, NULL, 80, NULL);
  tdesc_create_reg (feature, "st2",
  0, 0, NULL, 80, NULL);
  tdesc_create_reg (feature, "st3",
  0, 0, NULL, 80, NULL);
  tdesc_create_reg (feature, "st4",
  0, 0, NULL, 80, NULL);
  tdesc_create_reg (feature, "st5",
  0, 0, NULL, 80, NULL);
  tdesc_create_reg (feature, "st6",
  0, 0, NULL, 80, NULL);
  tdesc_create_reg (feature, "st7",
  0, 0, NULL, 80, NULL);
  tdesc_create_reg (feature, "fctrl",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "fstat",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "ftag",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "fiseg",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "fioff",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "foseg",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "fooff",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "fop",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "xmm0",
  0, 0, NULL, 128, NULL);
  tdesc_create_reg (feature, "xmm1",
  0, 0, NULL, 128, NULL);
  tdesc_create_reg (feature, "xmm2",
  0, 0, NULL, 128, NULL);
  tdesc_create_reg (feature, "xmm3",
  0, 0, NULL, 128, NULL);
  tdesc_create_reg (feature, "xmm4",
  0, 0, NULL, 128, NULL);
  tdesc_create_reg (feature, "xmm5",
  0, 0, NULL, 128, NULL);
  tdesc_create_reg (feature, "xmm6",
  0, 0, NULL, 128, NULL);
  tdesc_create_reg (feature, "xmm7",
  0, 0, NULL, 128, NULL);
  tdesc_create_reg (feature, "mxcsr",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "orig_eax",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg (feature, "ymm0h",
  0, 0, NULL, 128, NULL);
  tdesc_create_reg (feature, "ymm1h",
  0, 0, NULL, 128, NULL);
  tdesc_create_reg (feature, "ymm2h",
  0, 0, NULL, 128, NULL);
  tdesc_create_reg (feature, "ymm3h",
  0, 0, NULL, 128, NULL);
  tdesc_create_reg (feature, "ymm4h",
  0, 0, NULL, 128, NULL);
  tdesc_create_reg (feature, "ymm5h",
  0, 0, NULL, 128, NULL);
  tdesc_create_reg (feature, "ymm6h",
  0, 0, NULL, 128, NULL);
  tdesc_create_reg (feature, "ymm7h",
  0, 0, NULL, 128, NULL);

static const char *expedite_regs_i386_avx_linux[] = { "ebp", "esp", "eip", 0 };
#ifndef IN_PROCESS_AGENT
static const char *xmltarget_i386_avx_linux = 0;

  result->xmltarget = xmltarget_i386_avx_linux;
#endif

  init_target_desc (result, expedite_regs_i386_avx_linux);

  tdesc_i386_avx_linux = result;
}
